<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php
/*
Plugin Name: YYDevelopment - Comments Alert Notification
Plugin URI:  https://www.yydevelopment.com/yydevelopment-wordpress-plugins/
Description: Simple plugin that show notification alert on the website when you have pending comment that require approval
Version:     1.4.0
Author:      YYDevelopment
Author URI:  https://www.yydevelopment.com/
Domain Path: /languages/
Text Domain: yydevelopment-comments-notification
*/

// Adding lanagues support to the plugin
function enable_yycomments_languages() {
  load_plugin_textdomain( 'yydevelopment-comments-notification', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
} // function enable_yycomments_languages() {
	
add_action( 'plugins_loaded', 'enable_yycomments_languages' );


// ================================================
// display the plugin we have create on the wordpress
// post blog and pages
// ================================================

// function that will output the code to the page
function output_comments_motification() {

	// ======================================================
	// Adding commment note to the site if there is a comment
	// that we need to approve
	// ======================================================

	// checking if the user loged in
	if( is_user_logged_in() ) {

		if( current_user_can('editor') || current_user_can('administrator') ) {
			
			// checking if there are comments that need to be approved
            global $wpdb;
			$comments_need_approval = $wpdb->get_results("SELECT * FROM $wpdb->comments WHERE comment_approved = '0' ");
			$comments_amount = count($comments_need_approval);
			
			// if there are comments that need to be approved echo the message
			if($comments_amount > 0) {

				// getting the url to the comment page
				$get_admin_url = esc_url( admin_url() ) . "edit-comments.php?comment_status=moderated";

                $output_code = "";


                $output_code .= "<script>";
						$output_code .= "jQuery(document).ready(function($) {";
							$output_code .= "$('.approve-comment-message a.close-button').click(function() {";
								$output_code .= "$('.approve-comment-message').animate({ opacity: '0' }, 500, ";
								$output_code .= "function() { $('.approve-comment-message').css('display', 'none')} ";
								$output_code .= ");";
								$output_code .= "return false;";
							$output_code .= "});";
						$output_code .= "});";
				$output_code .= "</script>";
				
                $output_code .= "<style>";
					$output_code .= ".approve-comment-message {background: #565656;position: fixed;top: 300px;right: 50px;width: 210px !important; box-sizing: border-box; padding: 20px 15px 20px 15px !important;border: 2px solid #fff !important; z-index: 999999999999999999999999 !important; text-align: center !important; font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif; font-size: 16px; line-height: 22px;}";
					$output_code .= ".approve-comment-message-inside {position: relative;}";
					$output_code .= ".approve-comment-message a.close-button, .approve-comment-message a.close-button:hover {background: #ff0000;color: #fff;display: inline-block;padding: 6px 11px 6px 11px;border-radius: 50%;text-decoration: none;font-weight: bold;font-size: 16px;position: absolute; top: -32px;right: -32px;border: 2px solid #fff;}";
					$output_code .= ".approve-comment-message img {margin: 0px auto !important; padding: 0px !important; text-align: center !important;}";
					$output_code .= ".approve-comment-message p {font-weight: bold; font-size:16px; color: #fff; margin: 10px 0px !important; padding: 0px !important; line-height: 23px; font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif;}";
					$output_code .= ".approve-comment-message a.comments-button {background: #e30010 !important; color: #fff !important; padding: 10px 10px 10px 10px !important; border: 2px solid #e8ff7e !important; margin: 10px 0px 0px 0px !important; display: inline-block !important; font-weight: bold !important;}";
					$output_code .= ".approve-comment-message a:hover {text-decoration: none;background: #800009;}";
                $output_code .= "</style>";

                $output_code .= "<div class='approve-comment-message'>";
					$output_code .= "<div class='approve-comment-message-inside'>";

						$output_code .= "<img src='" . plugin_dir_url( __FILE__ ) . 'images/comments-icon.png' . "' alt='' />";

						// if there is more than one comment
						if( $comments_amount > 1 ) {
							$output_code .= "<p>" . __('There are', 'yydevelopment-comments-notification') . " " . intval($comments_amount) . " " . __('comments pending that require your approval', 'yydevelopment-comments-notification') . "</p>";
						} // if( $comments_amount > 1 ) {

						// if there is only one comment
						if( $comments_amount == 1 ) {
							$output_code .= "<p>" . __('There is 1 comment pending that require your approval', 'yydevelopment-comments-notification') . "</p>";
						} // if( $comments_amount > 1 ) {

						
						$output_code .= "<a class='comments-button' href='" . esc_url($get_admin_url) . "'>" . __('View Comments', 'yydevelopment-comments-notification') . "</a>";
						$output_code .= "<a class='close-button' href='#'>X</a>";

					$output_code .= "</div><!--approve-comment-message-inside-->";
                $output_code .= "</div><!--approve-comment-message-->";
				echo $output_code;

			} // if($comments_amount > 0) {

		} // if( current_user_can('editor') || current_user_can('administrator') ) {

	} // if( is_user_logged_in() ) {

} // function output_comments_motification() {


add_action( 'wp_footer', 'output_comments_motification' );

// ================================================
// Add donate page to the plugin menu info
// ================================================

add_filter( 'plugin_action_links', function($actions, $plugin_file) {

	static $plugin;

    if (!isset($plugin)) { $plugin = plugin_basename(__FILE__); }
    
	if ($plugin == $plugin_file) {

            $admin_page_url = esc_url( menu_page_url( 'yydevelopment-comments-notification', false ) );
            $donate = array('donate' => '<a target="_blank" href="https://www.yydevelopment.com/coffee-break/?plugin=yydevelopment-comments-notification">Donate</a>');
		
            $actions = array_merge($donate, $actions);
        
    } // if ($plugin == $plugin_file) {
		
    return $actions;

}, 10, 5 );

// ================================================
// including admin notices flie
// ================================================

if( is_admin() ) {
	include_once('notices.php');
} // if( is_admin() ) {